Package org.eclipse.lemminx.extensions.references.participants

## Class XMLReferencesCompletionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter
  - - org.eclipse.lemminx.extensions.references.participants.XMLReferencesCompletionParticipant

All Implemented Interfaces:
  `ICompletionParticipant`

    public class XMLReferencesCompletionParticipant
    extends CompletionParticipantAdapter

XML references completion participant

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLReferencesCompletionParticipant​(XMLReferencesPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onAttributeValue​(String valuePrefix, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores attribute value completion items within the provided completion response `response`
`void` `onXMLContent​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter

`onAttributeName, onDTDSystemId, onTagOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.completion.ICompletionParticipant

`getResolveCompletionItemParticipant`

### Constructor Detail

#### XMLReferencesCompletionParticipant

    public XMLReferencesCompletionParticipant​(XMLReferencesPlugin plugin)

### Method Detail

#### onXMLContent

    public void onXMLContent​(ICompletionRequest request,
                             ICompletionResponse response,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                      throws Exception

Specified by:
  `onXMLContent` in interface `ICompletionParticipant`
Overrides:
  `onXMLContent` in class `CompletionParticipantAdapter`
Throws:
  `Exception`

#### onAttributeValue

    public void onAttributeValue​(String valuePrefix,
                                 ICompletionRequest request,
                                 ICompletionResponse response,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                          throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores attribute value completion items within the provided completion response `response`

Specified by:
  `onAttributeValue` in interface `ICompletionParticipant`
Overrides:
  `onAttributeValue` in class `CompletionParticipantAdapter`
Parameters:
  `valuePrefix` - the attribute value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`